[mocha-developer] Fwd: [ mocha-Bugs-16523 ] Ruby 1.9 gives warning

James Mead jamesmead44 at gmail.com
Sun Dec 23 04:30:57 EST 2007


FYI - I've just released Mocha 0.5.6 to make Ruby 1.9 compatibility
fixes available for those using  released packages rather than
subversion trunk. I'm not feeling well and so haven't been able to
test it other than by running all the tests using Ruby 1.9. Please let
me know if you have any problems using it. Remember that it sometimes
takes a while for a new gem version to be propagated to the mirrors.

-- 
James.
http://blog.floehopper.org
http://tumble.floehopper.org


---------- Forwarded message ----------
From: noreply at rubyforge.org <noreply at rubyforge.org>
Date: 22 Dec 2007 23:56
Subject: [ mocha-Bugs-16523 ] Ruby 1.9 gives warning
To: noreply at rubyforge.org


Bugs item #16523, was opened at 2007-12-22 22:35
You can respond by visiting:
http://rubyforge.org/tracker/?func=detail&atid=7477&aid=16523&group_id=1917

Category: None
Group: None
Status: Open
Resolution: None
Priority: 3
Submitted By: Kornelius Kalnbach (murphy)
Assigned to: Nobody (None)
Summary: Ruby 1.9 gives warning

Initial Comment:
Ruby 1.9 has some new warnings that Ruby 1.8 didn't show, maybe it's useful:



  lib/mocha/return_values.rb:22: warning: else without rescue is useless



----------------------------------------------------------------------

>Comment By: Kornelius Kalnbach (murphy)
Date: 2007-12-23 00:56

Message:
can you compile a gem (1.0.0 please ;) and mail it to me so

I can test it here?

----------------------------------------------------------------------

Comment By: James Mead (jamesmead)
Date: 2007-12-23 00:44

Message:
Ok. I'm pretty sure that bug is already fixed in trunk. I guess it
could be time to release another gem. I'll get to it as soon as I have
some time. Thanks.

----------------------------------------------------------------------

Comment By: Kornelius Kalnbach (murphy)
Date: 2007-12-23 00:39

Message:
the newest one - 0.5.5. it throws syntax errors currently:



/usr/local/lib/ruby/gems/1.9/gems/mocha-0.5.5/lib/mocha/return_values.rb:19:

syntax error, unexpected ':', expecting keyword_then or ','

or ';' or '\n' (SyntaxError)

      when 0: nil

             ^

/usr/local/lib/ruby/gems/1.9/gems/mocha-0.5.5/lib/mocha/return_values.rb:31:

syntax error, unexpected keyword_end, expecting $end

----------------------------------------------------------------------

Comment By: James Mead (jamesmead)
Date: 2007-12-22 23:13

Message:
Thanks for reporting it. Can you tell us what version of Mocha you are
using and what code causes this warning. I've removed all the warnings
generated by Ruby 1.9 when the Mocha tests are run, so maybe we're
missing a test...?



Thanks, James.

----------------------------------------------------------------------

You can respond by visiting:
http://rubyforge.org/tracker/?func=detail&atid=7477&aid=16523&group_id=1917


More information about the mocha-developer mailing list